=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Adeodato Sim <dato@net.com.org.es>, Ana Beatriz Guerrero Lopez <ana@debian.org>, Daniel Schepler <schepler@debian.org>, Fathi Boudra <fboudra@free.fr>, Sune Vuorela <debian@pusling.com>
 Build-Depends: cdbs (>= 0.4.41ubuntu2), debhelper (>= 7.0.50~), quilt, autotools-dev,
- binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man, gawk, gettext,
+ binutils (>= 2.14.90.0.7), binutils-dev, docbook-to-man, gawk,
  libart-2.0-dev (>= 4:14.0.0~), libarts1-trinity-dev (>= 1.5.0), libacl1-dev,
  libattr1-dev, libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
  aspell, libaspell-dev, hspell, libbz2-dev, liblzma-dev, libcupsys2-dev | libcups2-dev,
@@ -15,7 +15,7 @@
  libtiff-dev, libavahi-client-dev (>= 0.4), x11-xserver-utils,
  libxml2-dev, libxml2-utils, libxslt1-dev, libavahi-tqt-dev,
  sharutils, texinfo, libogg-dev, libtqtinterface-dev,
- gettext-kde, lsb-release, base-files, sudo, libr-dev,
+ lsb-release, base-files, sudo, libr-dev,
  libudev-dev, cmake, libltdl-dev, libmagic-dev
 Build-Depends-Indep: doxygen, libtqtinterface-doc, graphviz, gsfonts-x11
 Standards-Version: 3.8.3
@@ -44,7 +44,7 @@
 Architecture: all
 Replaces: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
 Breaks: kdelibs-data-kde3 (<< 4:14.0.0~), kdelibs-data-trinity (<< 4:14.0.0~)
-Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~)
+Conflicts: tdelibs-data, kdebase-kio-plugins-kde3 (<= 4:14.0.0~), kdebase-kio-plugins-trinity (<= 4:14.0.0~), ksysv-trinity (<< 4:14.0.6~)
 Depends: hicolor-icon-theme
 Provides: tdelibs-data
 Description: core shared data for all TDE applications
@@ -88,7 +88,7 @@
  libsasl2-dev, libssl-dev, libxcomposite-dev,
  libtiff-dev, libxml2-dev, libxml2-utils, libxslt1-dev,
  libavahi-client-dev (>= 0.4), libtqtinterface-dev,
- gettext-kde, libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
+ libr-dev, libudev-dev, libdbus-1-tqt-dev, binutils-dev
 Provides: tdelibs-trinity-dev
 Description: development files for the TDE core libraries
  This package contains all the headers and other related files needed
