=== debian/rules ===
--- 
+++ 
@@ -102,33 +102,6 @@
 	echo "libasound2-trinity-dev=libasound2-trinity-dev" >> debian/tdelibs14-trinity-dev.substvars
 endif
 
-common-install-prehook-impl::
-	mkdir -p po
-#	-XGETTEXT=/usr/bin/kde-xgettext EXTRACTATTR=/usr/bin/extractattr sh $(DEB_SRCDIR)/admin/cvs.sh extract-messages	
-#	-for file in po/*pot; do \
-#		sed "s/charset=CHARSET/charset=UTF-8/" -i $$file; \
-#	done
-
-#	msgcat --use-first tde.pot po/tdelibs.pot > tdelibs.pot-merged
-#	mv -f tdelibs.pot-merged po/tdelibs.pot
-	cp -Rp tde.pot po/tdelibs.pot
-
-	# generate .po files for .desktop etc files
-	if [ -f debian/kubuntu-desktop-i18n/createdesktop.pl ]; then \
-	  sh debian/kubuntu-desktop-i18n/findfiles LIST; \
-	  cat LIST; \
-	  perl debian/kubuntu-desktop-i18n/createdesktop.pl --file-list=LIST --base-dir=. > desktop.$(DEB_SOURCE_PACKAGE).tmp; \
-	  msguniq --to-code=UTF-8 --no-wrap -o desktop.$(DEB_SOURCE_PACKAGE) desktop.$(DEB_SOURCE_PACKAGE).tmp 2>/dev/null; \
-	  python debian/kubuntu-desktop-i18n/msgsplit desktop.$(DEB_SOURCE_PACKAGE); \
-	  mv desktop.$(DEB_SOURCE_PACKAGE) po/desktop_$(DEB_SOURCE_PACKAGE).pot; \
-	  rm -f desktop.$(DEB_SOURCE_PACKAGE) desktop.$(DEB_SOURCE_PACKAGE).tmp; \
-	  # add translation domain to files \
-	  for file in `cat LIST`; do \
-	    echo X-Ubuntu-Gettext-Domain=desktop_$(DEB_SOURCE_PACKAGE) >> $${file}; \
-	  done; \
-	  rm -f LIST; \
-	fi
-
 binary-install/tdelibs14-trinity::
 	mv debian/tmp/opt/trinity/bin/tdecmshell debian/tmp/opt/trinity/bin/tdecmshell.real
 	install -p -D -m755 debian/tmp/opt/trinity/bin/tdecmshell.real debian/tdelibs14-trinity/opt/trinity/bin/tdecmshell.real
