=== debian/rules ===
--- 
+++ 
@@ -11,9 +11,7 @@
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/cmake.mk
-#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
-include /usr/share/cdbs/1/rules/utils.mk
-include debian/cdbs/debian-qt-kde.mk
+include debian/cdbs/debian-tde.mk
 
 DEB_KDE_APIDOX := yes
 
@@ -54,10 +52,6 @@
  -DCMAKE_BUILD_TYPE=RelWithDebInfo
 
 DEB_MAKE_CHECK_TARGET = check
-
-# Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
-# never build in parallel, regardless of DEB_BUILD_OPTIONS.
-DEB_BUILD_PARALLEL = true
 
 DEB_FIXPERMS_EXCLUDE := \
 	opt/trinity/bin/fileshareset	\
